Bug 48843 - xpdf can't view Japanese pdf file that can be viewed by gv
Summary: xpdf can't view Japanese pdf file that can be viewed by gv
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xpdf (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-12 07:05 UTC by Bill Huang
Modified: 2007-04-18 16:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 20:43:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a pdf file for debugging (100.89 KB, application/octet-stream)
2001-07-12 09:14 UTC, Bill Huang
no flags Details

Description Bill Huang 2001-07-12 07:05:28 UTC
Description of Problem:
xpdf can't view Japanese pdf file,though the pdf file can be viewed by gv.

How Reproducible:
Always

Steps to Reproduce:
1. make a test.ps file(that included Japanese characters) by using mozilla
2. using ps2pdf test.ps to make test.pdf
3. view test.pdf by xpdf

Actual Results:
Japanese can't be viewed correctly.
Error message:
Error: This document uses Type 3 fonts -some text may not be correctly
displayed

Expected Results:
Japanese can be correctly displayed

Additional Information:
gv can view this Japanese pdf file correctly

Comment 1 Nakai 2001-07-12 08:52:52 UTC
You should attach the pdf file.

Comment 2 Bill Huang 2001-07-12 09:14:03 UTC
Created attachment 23367 [details]
a pdf file for debugging

Comment 3 Nakai 2001-07-12 09:35:18 UTC
The xpdf error: This document uses Type 3 fonts - some text may not be correctly
displayed

And xpdf-0.92 README says:
Type 3 fonts are still not well supported by xpdf.

So this is the known bug and limitation of xpdf.

Comment 4 Glen Foster 2001-07-13 19:45:09 UTC
This defect considered MUST-FIX for Fairfax gold-release.

Comment 5 Glen Foster 2001-08-14 18:17:25 UTC
According to the development staff, it's a known limitation of the program and
not a regression.  Therefore, the MUST-FIX tag is being removed.

Comment 6 Jay Turner 2002-02-13 20:43:24 UTC
Knocking this down in priority and severity.

Comment 7 Ngo Than 2002-06-02 15:42:53 UTC
it's fixed in xpdf-1.01-2.


Note You need to log in before you can comment on or make changes to this bug.